Splunk Dev

Is Splunk SDK compatible with .NET 5 and above?

robertpurpose
Explorer

I have been having issues trying to download the Splunk SDK to my .NET 5 project and wondering if there are compatibility issues?

Labels (2)
Tags (1)
0 Karma

david_blanco
Engager

Hi,

I'm using Splunk SD with .NET 5 and it works 'decently' (with some issues).

Have you tried to download the Splunk.Client.DotnetCore 1.0.7 nuget package?

0 Karma

robertpurpose
Explorer

@david_blanco Thank you for responding, but for some reason, that one will not install also. I found a workaround in the documentation which needs more work which is accessing the API via a saved search. I am still trying to find a direct search documentation.

0 Karma
Get Updates on the Splunk Community!

Routing logs with Splunk OTel Collector for Kubernetes

The Splunk Distribution of the OpenTelemetry (OTel) Collector is a product that provides a way to ingest ...

Welcome to the Splunk Community!

(view in My Videos) We're so glad you're here! The Splunk Community is place to connect, learn, give back, and ...

Tech Talk | Elevating Digital Service Excellence: The Synergy of Splunk RUM & APM

Elevating Digital Service Excellence: The Synergy of Real User Monitoring and Application Performance ...